Subject: bug#623: chimaera-backports repo being used unprompted- missing pin priority

From: juu <[email-masked]>
Date: Sat, 23 Oct 2021 23:22:56 +0000

Package: chimaera-backports
Version: 4.0

I'm running Devuan Chimaera and recently discovered that packages were being upgraded from backports without me manually installing it from backports. I thought that these packages were just put into stable until realizing later that they were backported packages. As described here, a user on dev1galaxy forums realized that the Devuan release file does not put a pin priority of 100 on backports like it does in Debian.

The Debian bullseye-backports repository has a[Release file](http://deb.debian.org/debian/dists/bullseye-backports/Release)that contains these lines:

NotAutomatic: yes
ButAutomaticUpgrades: yes

This confers a pin priority of 100 for all packages, which means they will not be installed unless explicitly targetted (either by version or with the--targetoption forapt) but any packages that are installed from backports will be kept updated from there.

But the Devuan chimaera-backports repository[Release file](http://deb.devuan.org/devuan/dists/chimaera-backports/Release)does not have those lines.

For background, here is the thread where this is being discussed, starting at post #15 in the thread.
[https://dev1galaxy.org/viewtopic.php?id=4567](http://dev1galaxy.org/viewtopic.php?id=4567)

‐‐‐‐‐‐‐ Original Message ‐‐‐‐‐‐‐
On Saturday, October 23rd, 2021 at 6:01 PM, juu <[email-masked]> wrote:

> I'm running Devuan Chimaera and recently discovered that packages were being upgraded from backports without me manually installing it from backports. I thought that these packages were just put into stable until realizing later that they were backported packages. As described here, a user on dev1galaxy forums realized that the Devuan release file does not put a pin priority of 100 on backports like it does in Debian.
>
> The Debian bullseye-backports repository has a[Release file](http://deb.debian.org/debian/dists/bullseye-backports/Release)that contains these lines:
>
> NotAutomatic: yes
> ButAutomaticUpgrades: yes
>
> This confers a pin priority of 100 for all packages, which means they will not be installed unless explicitly targetted (either by version or with the--targetoption forapt) but any packages that are installed from backports will be kept updated from there.
>
> But the Devuan chimaera-backports repository[Release file](http://deb.devuan.org/devuan/dists/chimaera-backports/Release)does not have those lines.
>
> For background, here is the thread where this is being discussed, starting at post #15 in the thread.
> [https://dev1galaxy.org/viewtopic.php?id=4567](http://dev1galaxy.org/viewtopic.php?id=4567)